%define module	bioperl-run
%define name	perl-%{module}
%define version 1.6.1
%define release %mkrel 2

%define _requires_exceptions perl(Bio::Root::AccessorMaker)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	BioPerl wrappers for external programs
Group:		Development/Perl
License:	Artistic
Source:		http://bioperl.org/DIST/%{module}-%{version}.tar.bz2
URL:		http://www.bioperl.org
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif

BuildRequires:	perl-bioperl >= 1.6

Obsoletes:	perl-Bioperl-Run
Provides:	perl-Bioperl-Run
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n BioPerl-run-1.6.0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOI
n
a
n
EOI
%make

%check
# most of the check useanon-packaged  external tools, so they are useless there

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
#%{__rm} -f %{buildroot}%{perl_vendorlib}/bptutorial.pl
#%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes INSTALL.PROGRAMS LICENSE README
%{perl_vendorlib}/Bio
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.6.1-2mdv2010.0
+ Revision: 440535
- rebuild

* Fri Mar 06 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6.1-1mdv2009.1
+ Revision: 349952
- Be more explicit on desired components
- spec cleanup
- Update to 1.6.1

* Fri Mar 06 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.5.1-7mdv2009.1
+ Revision: 349714
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.1-6mdv2009.0
+ Revision: 255467
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.5.1-4mdv2008.1
+ Revision: 136664
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-4mdv2008.0
+ Revision: 85920
- rebuild


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-3mdv2007.0
- Rebuild

* Mon Mar 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdk
- add a dependency exception

* Wed Jan 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-1mdk
- new version

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-4mdk
- spec cleanup
- corrected name

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-2mdk 
- rpmbuildupdate aware

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-1mdk
- new version

